<?xml version="1.0" encoding="utf-8"?>
<Kingview CompactMode="1">
  <ProjectTemplates>
    <!--
      Project Template
      -->
    <ProjectTemplate Name="Standard">
    <!--Standard Version Project Object-->
      <Language Name="日文" LCID="1041"/>
      <ExplorerNodeTree>
        <!--View-->
	  		<ExplorerNode Text="View" Type="assddd" Title="Viewシステム" Addin="" Icon="images/view.ico" ListSubNodes="True">
	  			<SubNodes>
	  				<ExplorerNode Text="画面" Type="Pictures" Title="画面" Addin="PictureDevAddin" Icon="images/picture.ico" 
>					</ExplorerNode>
	  				<ExplorerNode Text="図形モデル" Type="GraphyModels" Title="図形モデル" Addin="GraphyModelAddin" Icon="images/graphyModel.ico" ListSubNodes="True">
					</ExplorerNode>	
				</SubNodes>
			</ExplorerNode>
      <!-- IOServer-->
 			 <ExplorerNode Text="IO SERVER" Type="IO SERVER" Title="IO SERVER設定" Addin="kxIOServerCfgManagerDev" Icon="images/IOSERVER.ico"> 
			 </ExplorerNode>
				<!--Database-->
			<ExplorerNode Text="データベース" Type="database" Title="プロジェクトデータベース マネージャー" Addin="kxTagDev" Icon="images/TagDB.ico"> 
				<Commands/>
				<SubNodes>
					<ExplorerNode Text="タグディクショナリー" Type="tagdict" Title="タグディクショナリー マネージャー" Addin="kxTagDev" Icon="images/tagdict.ico">
						<Commands>
							<Command Text="新規タググループ" Name="NewTagGrp" Tooltip="新規タググループ作成" Icon="images/NewTagGrp.ico"/>
							<Command Text="新規タグ" Name="NewTag" Tooltip="新規タグ作成" Icon="images/NewTag.ico"/>
						</Commands>
					</ExplorerNode>		 
					<ExplorerNode Text="構造テンプレート" Type="tagstruct" Title="構造テンプレート マネージャー" Addin="kxTagDev" Icon="images/struct_template.ico"> 
						<Commands>
							<Command Text="新規構造テンプレート" Name="NewTemp" Tooltip="新規構造テンプレート作成" Icon="images/newtemplate.ico"/>
						</Commands>
					</ExplorerNode>
					<ExplorerNode Text="アラームグループ" Type="almgrp_root" Title="アラームグループ マネージャー" Addin="kxTagDev" Icon="images/AlarmGoup.ico">
						<Commands>
							<Command Text="新規アラームグループ" Name="NewAlmGrp" Tooltip="新規アラームグループ作成" Icon="images/newalmgrp.ico"/>
						</Commands>
					</ExplorerNode>
					<ExplorerNode Text="非線形テーブル" Type="NlnTab_root" Title="非線形テーブル マネージャー" Addin="kxTagDev" Icon="images/NolineTable.ico"> 
						<Commands>
							<Command Text="新規非線形テーブル" Name="NewNlnTab" Tooltip="新規非線形テーブル作成" Icon="images/newalmgrp.ico"/>
						</Commands>
					</ExplorerNode>
					<ExplorerNode Text="データモデルオブジェクト" Type="dmInst" Title="データモデルオブジェクト マネージャー" Addin="kxDataModelDev" Icon="images/DataModelInst.ico"> 
						<Commands>
							<Command Text="コンパイル" Name="CompileDmInsts" Tooltip="全てのデータモデルオブジェクトをコンパイル" Icon="images/Compile.ico"/>
							<Command Text="新規データモデルオブジェクト" Name="NewDMInst" Tooltip="新規データモデルオブジェクト作成" Icon="images/DataModelInst.ico"/>
						</Commands>
					</ExplorerNode>
					<ExplorerNode Text="データモデル" Type="dmTemp" Title="データモデル マネージャー" Addin="kxDataModelDev" Icon="images/DataModel.ico"> 
						<Commands>
							<Command Text="コンパイル" Name="CompileDmDefs" Tooltip="全てのデータモデル設定をコンパイル" Icon="images/Compile.ico"/>
							<Command Text="新規データモデル" Name="NewDM" Tooltip="新規データモデル作成" Icon="images/DataModel.ico"/>
							<Command Text="システムライブラリから新規作成" Name="NewDMBySys" Tooltip="システムライブラリからデータモデルを新規作成" Icon="images/DataModel.ico"/>
						</Commands>
					</ExplorerNode>
				</SubNodes>
			</ExplorerNode>
      	<!--Script-->
      	<ExplorerNode Text="スクリプト" Type="ApplicationLogicScripts" Title="スクリプト" Addin="LogicDevAddin" Icon="images/script.ico" ListSubNodes="True">
					<Commands>
					<Command Text="コンパイル" Name="Node.CompileLogicScript" Tooltip="スクリプトをコンパイル" Icon="images/compile.ico"/>
					</Commands>
		    	<SubNodes>
						<ExplorerNode Text="システムスクリプト" Type="SystemLogicScripts" Title="システムスクリプト" Addin="LogicDevAddin" Icon="images/systemscript.ico">
							<Commands>
							<Command Text="コンパイル" Name="Node.CompileLogicScript" Tooltip="スクリプトをコンパイル" Icon="images/compile.ico"/>
							</Commands>
							<SubNodes>
								<ExplorerNode Text="アプリケーションスクリプト" Type="ApplicationLogicScript" Title="アプリケーションスクリプト" Addin="LogicDevAddin" Icon="images/applicationscript.ico"> 
									<Commands>
									<Command Text="コンパイル" Name="Node.CompileLogicScript" Tooltip="スクリプトをコンパイル" Icon="images/compile.ico"/>
									</Commands>
								</ExplorerNode>
								<ExplorerNode Text="アラームスクリプト" Type="AlarmLogicScript" Title="アラームイベントスクリプト" Addin="LogicDevAddin" Icon="images/alarmscript.ico"> 
									<Commands>
									<Command Text="コンパイル" Name="Node.CompileLogicScript" Tooltip="スクリプトをコンパイル" Icon="images/compile.ico"/>
									</Commands>
								</ExplorerNode>
								<ExplorerNode Text="ユーザースクリプト" Type="UserLogicScript" Title="ユーザーイベントスクリプト" Addin="LogicDevAddin" Icon="images/userscript.ico"> 
									<Commands>
									<Command Text="コンパイル" Name="Node.CompileLogicScript" Tooltip="スクリプトをコンパイル" Icon="images/compile.ico"/>
									</Commands>
								</ExplorerNode>
				    	</SubNodes>
			    	</ExplorerNode>	
						<ExplorerNode Text="カスタムスクリプト" Type="CustomLogicScripts" Title="カスタムスクリプト" Addin="LogicDevAddin" Icon="images/customscript.ico"> 
							<Commands>
							<Command Text="コンパイル" Name="Node.CompileLogicScript" Tooltip="スクリプトをコンパイル" Icon="images/compile.ico"/>
							</Commands>
							<SubNodes> 
				      	<ExplorerNode Text="データ変更スクリプト" Type="DataChangeLogicScript" Title="データ変更イベントスクリプト" Addin="LogicDevAddin" Icon="images/DataChan.ico ">
				        	<Commands>
				          <Command Text="コンパイル" Name="Node.CompileLogicScript" Tooltip="スクリプトをコンパイル" Icon="images/compile.ico"/>
				          <Command Text="新規" Name="Node.AddLogicScript" Tooltip="データ変更スクリプトを追加" Icon="images/addTagChangeScript.ico"/>
				          </Commands>
				        </ExplorerNode> 
				        <ExplorerNode Text="イベントスクリプト" Type="ExpressLogicScript" Title="ユーザー定義イベントスクリプト" Addin="LogicDevAddin" Icon="images/event.ico"> 
				        	<Commands>
				          <Command Text="コンパイル" Name="Node.CompileLogicScript" Tooltip="スクリプトをコンパイル" Icon="images/compile.ico"/>
				          <Command Text="新規" Name="Node.AddLogicScript" Tooltip="条件式スクリプトを追加" Icon="images/addTagChangeScript.ico"/>
				          </Commands>
				       	</ExplorerNode>
				        <ExplorerNode Text="ホットキースクリプト" Type="HotKeyLogicScript" Title="ホットキーイベントスクリプト" Addin="LogicDevAddin" Icon="images/HotKey.ico">
				        	<Commands>
				          <Command Text="コンパイル" Name="Node.CompileLogicScript" Tooltip="スクリプトをコンパイル" Icon="images/compile.ico"/>
				          <Command Text="新規" Name="Node.AddLogicScript" Tooltip="ホットキースクリプトを追加" Icon="images/addTagChangeScript.ico"/>
				          </Commands>
				        </ExplorerNode>      
				        <ExplorerNode Text="ユーザー定義関数スクリプト" Type="CustomFunctionLogicScript" Title="ユーザー定義関数スクリプト" Addin="LogicDevAddin" Icon="images/customFun.ico">
				        	<Commands>
				          <Command Text="コンパイル" Name="Node.CompileLogicScript" Tooltip="スクリプトをコンパイル" Icon="images/compile.ico"/>
				          <Command Text="新規" Name="Node.AddLogicScript" Tooltip="ユーザー定義関数スクリプトを追加" Icon="images/addTagChangeScript.ico"/>
				          </Commands>
				        </ExplorerNode> 			
					    <ExplorerNode Text="タイマースクリプト" Type="TimerLogicScript" Title="タイマーイベントスクリプト" Addin="LogicDevAddin" Icon="images/timerScript.ico">
				        	<Commands>
				          <Command Text="コンパイル" Name="Node.CompileLogicScript" Tooltip="スクリプトをコンパイル" Icon="images/compile.ico"/>
				          <Command Text="新規" Name="Node.AddLogicScript" Tooltip="タイマースクリプトを追加" Icon="images/addTagChangeScript.ico"/>
				          </Commands>
				        </ExplorerNode> 					
							</SubNodes>
						</ExplorerNode>	
					</SubNodes>		
	     	</ExplorerNode>

       	<!--Setting-->
	     	<ExplorerNode Text="システム設定" Type="SysCfgNode" Title="システム設定項目" Addin="" Icon="images/Setting.ico">
	     		<SubNodes> 
		      	<ExplorerNode Text="セキュリティ設定" Type="Security" Title="セキュリティ設定項目" Addin="kxUserDev" Icon="images/security.ico">
		      	</ExplorerNode> 
						<ExplorerNode Text="アラーム/イベント設定" Type="AlmCfgNode" Title="アラーム/イベントの設定項目" Addin="kxSysCfgDev" Icon="images/AlarmSetting.ico" ListSubNodes="FALSE">
						</ExplorerNode>
						<ExplorerNode Text="履歴記録設定" Type="HistoryCfgNode" Title="履歴記録設定項目" Addin="kxSysCfgDev" Icon="images/HisRecSetting.ico" ListSubNodes="FALSE">
						</ExplorerNode>
						<ExplorerNode Text="実行モード設定" Type="RunCfgNode" Title="実行モードの設定" Addin="kxSysCfgDev" Icon="images/ViewSetting.ico" ListSubNodes="FALSE">
						</ExplorerNode>   
					</SubNodes> 
				</ExplorerNode> 
				
				<!--NetWork-->
	     	<ExplorerNode Text="ネットワーク設定" Type="NetSettings" Title="プロジェクトのネットワークの設定" Addin="" Icon="images/NetWorkSettings.ico">
	     		<SubNodes> 
	     		  <ExplorerNode Text="ローカルマシン設定" Type="NetCfgNode" Title="ローカルネットワーク設定" Addin="kxSysCfgDev" Icon="images/localNetSetting.ico" ListSubNodes="FALSE">
	        	</ExplorerNode>		
	        	<!--Station-->   
       			<ExplorerNode Text="ノード管理" Type="StationNode" Title ="ノード マネージャー" Addin="kxSysCfgDev" Icon="images/station.ico">
       			</ExplorerNode> 
  				</SubNodes> 
	     	</ExplorerNode>				
	     	
	     	<!--Recipe-->	
			 	<ExplorerNode Text="レシピ" Type="RecipeType" Title="レシピ管理" Addin="RecipeDevAddin" Icon="images/Recipe.ico">
	     	</ExplorerNode>
				<!--Resource-->
				<ExplorerNode Text="リソース管理" Type="ProjectResource" Title="リソース マネージャー" Addin="ResourceDev" Icon="images/resource.ico">
					<SubNodes>
					  <ExplorerNode Text="文字列" Type="StringResource" Title="文字列リソース" Addin="ResourceDev" Icon="images/stringResource.ico"> 
  					</ExplorerNode> 
						<ExplorerNode Text="画像" Type="ImageResource" Title="画像リソース" Addin="ResourceDev" Icon="images/Image.ico">		
						</ExplorerNode>				 
		      	<ExplorerNode Text="ファイル" Type="FileResource" Title="ファイルリソース" Addin="ResourceDev" Icon="images/file.ico">
		      		<SubNodes>
				      	<ExplorerNode Text="ビデオ" Type="VideoFile" Title="ビデオ ファイル" Addin="ResourceDev" Icon="images/video.ico">
    						</ExplorerNode> 
								<ExplorerNode Text="オーディオ" Type="AudioFile" Title="オーディオ ファイル" Addin="ResourceDev" Icon="images/audio.ico">
								</ExplorerNode>
								<ExplorerNode Text="ドキュメント" Type="DocumentFile" Title="ドキュメント ファイル" Addin="ResourceDev" Icon="images/document.ico">
								</ExplorerNode>
								<ExplorerNode Text="その他" Type="OtherFile" Title="その他のファイル" Addin="ResourceDev" Icon="images/other.ico">
											</ExplorerNode>   														
		      		</SubNodes>>
		      	</ExplorerNode> 
					</SubNodes>
       	</ExplorerNode>				
				<!--Languge-->
				<ExplorerNode Text="言語管理" Type="ProjectLanguage" Title="プロジェクト言語マネージャー" Addin="ResourceDev" Icon="images/LangugeManage.ico">
					<SubNodes>
						<ExplorerNode Text="言語設定" Type="LanguageResource" Title="プロジェクト言語設定" Addin="ResourceDev" Icon="images/language.ico">		
						</ExplorerNode> 
						<ExplorerNode Text="文字列一覧" Type="StringTranslateResource" Title="文字列対応表" Addin="ResourceDev" Icon="images/stringResource.ico">		
						</ExplorerNode> 
						<ExplorerNode Text="イメージ一覧" Type="ImageTranslateResource" Title="イメージ対応表" Addin="ResourceDev" Icon="images/Image.ico">		
						</ExplorerNode> 
		      	<ExplorerNode Text="ファイル" Type="FileTranslateResource" Title="ファイル対応表" Addin="ResourceDev" Icon="images/file.ico">
		      		<SubNodes>
				      	<ExplorerNode Text="ビデオ" Type="VideoTranslateFile" Title="ビデオファイル対応表" Addin="ResourceDev" Icon="images/video.ico">
    						</ExplorerNode> 
								<ExplorerNode Text="オーディオ" Type="AudioTranslateFile" Title="オーディオファイル対応表" Addin="ResourceDev" Icon="images/audio.ico">
								</ExplorerNode>
								<ExplorerNode Text="ドキュメント" Type="DocumentTranslateFile" Title="ドキュメントファイル対応表" Addin="ResourceDev" Icon="images/document.ico">
								</ExplorerNode>
								<ExplorerNode Text="その他" Type="OtherTranslateFile" Title="その他のファイル対応表" Addin="ResourceDev" Icon="images/other.ico">
								</ExplorerNode>  																
		      		</SubNodes>>
		      	</ExplorerNode> 
					</SubNodes>
       	</ExplorerNode>				       	
				<!--SQL-->
				<ExplorerNode Text="SQLアクセス" Type="SqlType" Title="SQLアクセス管理" Addin="SqlDevAddin" Icon="images/sqlaccess.ico">
					<SubNodes>
						<ExplorerNode Text="テーブル テンプレート" Type="TableTemplateNodeType" Title="SQLテーブル テンプレート管理" Addin="SqlDevAddin" Icon="images/sqltable.ico">		
						</ExplorerNode> 
		      	<ExplorerNode Text="バインドリスト" Type="BindListNodeType" Title="SQLバインドリスト" Addin="SqlDevAddin" Icon="images/SqlRecordset.ico">
		      	</ExplorerNode> 
					</SubNodes>
       	</ExplorerNode>
				<!--Web-->
				<ExplorerNode Text="Web" Type="web" Title="Web公開設定" Addin="kxWebDev" Icon="images/web.ico">
					<SubNodes>
						<ExplorerNode Text="Webサーバー" Type="webServer" Title="Webサーバー設定" Addin="kxWebDev" Icon="images/websvr.ico">		
						</ExplorerNode> 
		      	<ExplorerNode Text="Web公開" Type="webPublish" Title="Web公開グループ設定" Addin="kxWebDev" Icon="images/webItem.ico">
		      	</ExplorerNode> 
					</SubNodes>
       	</ExplorerNode>					
      </ExplorerNodeTree>
    </ProjectTemplate>
  </ProjectTemplates>
</Kingview>
